# H245_NetworkAccessParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_NetworkAccessParameters:

List of all members.

## Public Types

enum | OptionalFields { e_distribution, e_externalReference, e_t120SetupProcedure }

## Public Member Functions

| H245_NetworkAccessParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_NetworkAccessParameters_distribution | m_distribution
H245_NetworkAccessParameters_networkAddress | m_networkAddress
PASN_Boolean | m_associateConference
PASN_OctetString | m_externalReference
H245_NetworkAccessParameters_t120SetupProcedure | m_t120SetupProcedure

## Member Enumeration Documentation

enum H245_NetworkAccessParameters::OptionalFields

Enumerator:

  e_distribution |
  e_externalReference |
  e_t120SetupProcedure |

## Constructor & Destructor Documentation

H245_NetworkAccessParameters::H245_NetworkAccessParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_NetworkAccessParameters::GetDataLength | ( |  | ) | const

PBoolean H245_NetworkAccessParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_NetworkAccessParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_NetworkAccessParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_NetworkAccessParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_NetworkAccessParameters::Clone | ( |  | ) | const

## Member Data Documentation

H245_NetworkAccessParameters_distribution H245_NetworkAccessParameters::m_distribution

H245_NetworkAccessParameters_networkAddress H245_NetworkAccessParameters::m_networkAddress

PASN_Boolean H245_NetworkAccessParameters::m_associateConference

PASN_OctetString H245_NetworkAccessParameters::m_externalReference

H245_NetworkAccessParameters_t120SetupProcedure H245_NetworkAccessParameters::m_t120SetupProcedure

The documentation for this class was generated from the following file:

- h245.h